#-------------------------------------------------------------------------------
getPlatforms = function(gse)
{
  gse = toupper(gse);

  return(getInSilicoJSON(pp("getplatforms?gse=",gse)));
}

#-------------------------------------------------------------------------------
getInSilicoCuration = function(gse, gpl)
{
  gse = toupper(gse);
  gpl = toupper(gpl);

  return(getInSilicoJSON(pp("getpreferedcuration?gse=",gse,"&gpl=",gpl)));
}

#-------------------------------------------------------------------------------
getDataset = function(gse, gpl, norm="ORIGINAL", genes=FALSE)
{
  gse = toupper(gse);
  gpl = toupper(gpl);
  norm = toupper(norm);

  return(getInSilicoDataset(gse, gpl, norm, genes));
}

#-------------------------------------------------------------------------------
getDatasets = function(gse, norm="ORIGINAL", genes=FALSE)
{
  gse = toupper(gse);
  norm = toupper(norm);
  
  return(getInSilicoDatasets(gse, norm, genes));
}

#-------------------------------------------------------------------------------
getAnnotations = function(gse, gpl)
{
  gse = toupper(gse);
  gpl = toupper(gpl);
  
  return(getInSilicoAnnotations(gse, gpl));
}

#-------------------------------------------------------------------------------
getDatasetList = function(gpl="", norm="", query="")
{
  gpl = toupper(gpl);
  norm = toupper(norm);
  query = tolower(query);

  return(getInSilicoJSON(pp("getserieslist?gpl=",gpl,
                            "&norm=",norm,
                            "&query=",query)));
}

