\name{getAnnotations}
\alias{getAnnotations}
\title{Get annotation information}
\description{Get annotation information for a given series GSE and platform GPL identifier in Bioconductors AnnotatedDataFrame format}

\usage{
getAnnotations(gse, gpl);
}

\arguments{
\item{gse}{Valid series GSE identifier.}
\item{gpl}{Valid platform GPL identifier.}
}

\value{
  A Bioconductors AnnotatedDataFrame
}

\examples{
\dontrun{
  gse = "GSE4635";
  platforms = getPlatforms(gse);
  annot = getAnnotations("GSE4635", "GPL96");
  pData(annot);
##             Anatomical Site  Smoker
## GSM15729    bronchus         never
## GSM104072   bronchus         current
## ...
}}
