\name{getDatasetList}
\alias{getDatasetList}
\title{Get list of all available series GSE identifiers}
\description{Get list of all available series GSE identifiers that satisfy platform, normalization and query constraints (see Arguments)}

\usage{
getDatasetList(gpl="", norm="", query="");
}

\arguments{
\item{gpl}{Valid platform GPL identifier. If specified, only datasets on the given platform are returned.}
\item{norm}{Valid preprocessing method. Currently available options are 'ORIGINAL' and 'FRMA'. If specified, only datasets for which the given preprocessed data is available are returned.}
\item{query}{If specified, only datasets for which the query keyword appears in either the title or description of the dataset. typical example queries are 'Thyroid Cancer', 'Primary vs Metastasis', 'p53', etc.}
}

\value{
  A list of GSE identifiers
}

\examples{
\dontrun{
  length(getDatasetList());
  ## 3173
  length(getDatasetList(gpl="GPL570"));
  ## 1930
  length(getDatasetList(gpl="GPL570", norm="FRMA"));
  ## 1381
  length(getDatasetList(gpl="GPL570", norm="FRMA", query="Thyroid Cancer"));
  ## 8
}}
